EXEC [__AddStoredProcInfo]
    /* StoredProc_Name         */ 'EventOccurrences_GetUsers',
    /* Internal_Indicator      */ 'N',
    /* ReturnType_Name         */ 'DataTable',
    /* DataTableNames_Csv      */ 'EventOccurrences_Users',
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Gets all of the users which have initiated events.'
GO

IF OBJECT_ID('[EventOccurrences_GetUsers]') IS NOT NULL DROP PROCEDURE [EventOccurrences_GetUsers]
GO

SET QUOTED_IDENTIFIER ON
GO
SET ANSI_NULLS ON
GO


CREATE PROCEDURE [EventOccurrences_GetUsers]
AS
BEGIN

SET NOCOUNT ON
SET QUOTED_IDENTIFIER ON

	SELECT *
	  FROM [EventOccurrences_Users]

END
GO

GRANT EXECUTE ON [EventOccurrences_GetUsers] TO [ProGetUser_Role]