EXEC [dbo].[__AddStoredProcInfo]
    /* StoredProc_Name         */ 'LogMessages_SetReadIndicator',
    /* Internal_Indicator      */ 'Y',
    /* ReturnType_Name         */ NULL,
    /* DataTableNames_Csv      */ NULL,
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Stored procedure for internal use only.'
GO

IF OBJECT_ID('[LogMessages_SetReadIndicator]') IS NOT NULL DROP PROCEDURE [LogMessages_SetReadIndicator]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [LogMessages_SetReadIndicator]
(
	@LogMessage_Id INT,
    @Read_Indicator YNINDICATOR
) AS
BEGIN

SET NOCOUNT ON

BEGIN TRY

UPDATE [LogMessages]
   SET [Read_Indicator] = @Read_Indicator
 WHERE [LogMessage_Id] = @LogMessage_Id

END TRY BEGIN CATCH
	EXEC [HandleError]
END CATCH

END
GO

GRANT EXECUTE ON [LogMessages_SetReadIndicator] TO [ProGetUser_Role]