--AH:ScriptId=BDEA26ED-7FA6-441F-B174-9E77B1525A4F

ALTER TABLE [ProGetPackageVersions]
	DROP CONSTRAINT [PK__ProGetPackageVersions]
GO

ALTER TABLE [ProGetPackageVersions]
	ALTER COLUMN [Version_Text] VARCHAR(255) NOT NULL
GO

ALTER TABLE [ProGetPackageVersions]
	ADD CONSTRAINT [PK__ProGetPackageVersions]
		PRIMARY KEY ([ProGetPackage_Id], [Version_Text])
GO

DELETE
  FROM [ProGetPackageVersions]
 WHERE [Version_Text] = ''

GO

ALTER TABLE [ProGetPackageVersions]
	ADD CONSTRAINT [CK__ProGetPackageVersions__Version_Text]
		CHECK ([Version_Text] <> '' AND CHARINDEX([Version_Text], '+') = 0)

GO

ALTER TABLE [ProGetPackages]
	ALTER COLUMN [LatestVersion_Text] VARCHAR(255) NOT NULL
